using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
namespace Ewide.Application
{
	[Table("bs_house_task_options")]
	[Comment("房屋巡查任务选项表")]
	public class BsHouseTaskOptions : Core.DEntityBase
	{
		/// <summary>
		/// bs_house_code主键Id
		/// </summary>
		[Comment("bs_house_code主键Id")]
		[MaxLength(36)]
		[Required]
		public string TaskId { get; set; }

		/// <summary>
		/// 字典类型
		/// </summary>
		[Comment("字典类型")]
		[MaxLength(50)]
		public string DictType { get; set; }

		/// <summary>
		/// 字典code
		/// </summary>
		[Comment("字典code")]
		[MaxLength(50)]
		public string DictCode { get; set; }

		/// <summary>
		/// 字典值
		/// </summary>
		[Comment("字典值")]
		[MaxLength(100)]
		public string DictValue { get; set; }

		/// <summary>
		/// 备注
		/// </summary>
		[Comment("备注")]
		[MaxLength(500)]
		public string Remark { get; set; }

		/// <summary>
		/// 附件
		/// </summary>
		[Comment("附件")]
		[MaxLength(2000)]
		public string File { get; set; }

		/// <summary>
		/// 是否选中
		/// </summary>
		[Comment("是否选中")]
		public bool? Checked { get; set; }
	}
}
